var Ambient = require('js/AmbientJS/AmbientJS');


var myName;
var buddyList = {};
var reference;

function initializeMessenger(name) {
	myName = name;	
	Ambient.online();
	
	var remoteInterface = Ambient.createObject({
		"getName"   : function () {
			return myName;},
		"receiveMsg": function (msg) {
			addToLog(msg);}
	});
	
	var coupon = Ambient.createIsolate({
		"name" : "twix_coupon",
		"valid" : true,
		"getName" : function (){
			return this.name;
		},
		"getValid" : function(){
			return this.valid;
		},
		"redeem" : function (){
			this.valid = false;
		}
	});
	
	coupon.setMutableOperation("redeem");
	
	Ambient.exportAs(coupon, "COUPON");
	
	Ambient.exportAs(remoteInterface, "MESSENGER");
	
	Ambient.wheneverDiscovered("MESSENGER", function(reference){
		var msg = Ambient.createMessage("getName", []);
		
		var future = reference.asyncSend(msg, "twoway");
		future.whenBecomes(function(reply) {
			buddyList[reply] = reference;
			addToLog(reply + " joined the conversation");
		});
		
	});
	
	
	Ambient.wheneverDiscovered("COUPON", function(aReference) {
		console.log("discovered a coupon");
		reference = aReference;
	});

}

	
function broadcast(text){
	var msg = Ambient.createMessage('receiveMsg', [myName + ": " + text]);
	for(var buddy in buddyList) {
		buddyList[buddy].asyncSend(msg, "oneway");
	};
	addToLog(myName + ": " + text);
	
	if (reference) {
		var msg1 = Ambient.createMessage("getValid", []);
		var msg2 = Ambient.createMessage("redeem", []);
		var msg3 = Ambient.createMessage("getName", []);
		
		var future1 = reference.asyncSend(msg1, "twoway");
		var future2 = reference.asyncSend(msg2, "twoway");
		var future3 = reference.asyncSend(msg3, "twoway");
		
		future1.whenBecomes(function(name){
			console.log("received validation: " + name);
		});
		future2.whenBecomes(function(reply){
			
		});
		future3.whenBecomes(function(reply){
			var future3 = reference.asyncSend(msg3, "twoway");
			future3.whenBecomes(function(name){
				console.log("name: " +name);
			});
		});
	}
}